/*
 *  Integrator.h
 *  crazyCamera
 *
 *  Created by Syed Reza Ali on 4/6/10.
 *  Copyright 2010 University of California, Santa Barbara. All rights reserved.
 *
 */

#ifndef INTEGRATOR
#define INTEGRATOR

class Integrator {
	
public:

	float value;
	float vel;
	float accel;
	float force;
	float mass;

	float damping;
	float attraction;
	bool targeting;
	float itarget;

	Integrator(); 
	Integrator(float v);
	Integrator(float v, float d, float a);

	void set(float v);
	void update();
	void init(); 
	void target(float t);
	void noTarget();

};

#endif